package pl.alx.kurs.sensory;

import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.app.Activity;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.support.v4.app.NavUtils;

public class SensoryActivity extends Activity {

    private SensorManager sm;

	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_sensory);
        sm = (SensorManager) getSystemService(SENSOR_SERVICE);
        for (Sensor s : sm.getSensorList(Sensor.TYPE_ALL)) {
        	Log.i("test", "sensor " + s.getName() + " jest typu " + s.getType() + " i zjada " + s.getPower() + " mA");
        }
    }

	SensorEventListener listener = new SensorEventListener() {
		public void onSensorChanged(SensorEvent event) {
			float ax = event.values[0];
			float ay = event.values[1];
			float az = event.values[2];
			Log.i("test", String.format("przyspieszenie: %.2f %.2f %.2f", ax, ay, az));
		}
		public void onAccuracyChanged(Sensor sensor, int accuracy) { }
	};
	
    @Override
    protected void onResume() {
        Sensor sensor = sm.getDefaultSensor(Sensor.TYPE_ACCELEROMETER);
        sm.registerListener(listener, sensor, SensorManager.SENSOR_DELAY_GAME);
    	super.onResume();
    }
    
    @Override
    protected void onPause() {
    	sm.unregisterListener(listener);
    	super.onResume();
    }
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_sensory, menu);
        return true;
    }

    
}
